# Asterisk Project : Asterisk 13 Application_FollowMe

Created by wikibot on Aug 08, 2014

# FollowMe()

### Synopsis

Find-Me/Follow-Me application.

### Description

This application performs Find-Me/Follow-Me functionality for the caller as defined in the profile matching the followmeid parameter in `followme.conf`. If the specified followmeid profile doesn't exist in `followme.conf`, execution will be returned to the dialplan and call execution will continue at the next priority.

Returns -1 on hangup.

### Syntax

    FollowMe(followmeid,[options])

##### Arguments

- `followmeid`
- `options`
  - `a` - Record the caller's name so it can be announced to the callee on each step.
  - `B` - Before initiating the outgoing call(s), Gosub to the specified location using the current channel.
    - `context`
    - `exten`
    - `priority`
      - `arg1`
      - `argN`
  - `b` - Before initiating an outgoing call, Gosub to the specified location using the newly created channel. The Gosub will be executed for each destination channel.
    - `context`
    - `exten`
    - `priority`
      - `arg1`
      - `argN`
  - `d` - Disable the 'Please hold while we try to connect your call' announcement.
  - `I` - Asterisk will ignore any connected line update requests it may receive on this dial attempt.
  - `l` - Disable local call optimization so that applications with audio hooks between the local bridge don't get dropped when the calls get joined directly.
  - `N` - Don't answer the incoming call until we're ready to connect the caller or give up.
  - `n` - Playback the unreachable status message if we've run out of steps or the callee has elected not to be reachable.
  - `s` - Playback the incoming status message prior to starting the follow-me step(s)

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538